
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Invia Nuovamente Messaggio</strong>
</div>

<!--  -->
<div class="medium" style="color: #7f7f7f">
Se scegli di inviare nuovamente il messaggio originale e selezioni l'opzione di esecuzione forzata,
il sistema generer&agrave; un nuovo UUID e lo sostituir&agrave; a quello presente nell'header del
messaggio.
</div>
<!--  -->

<div style="margin-top: 5px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="4">Messaggio Originale</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Message JSON
					</label>
				</td>
				<td class="fieldValue medium" ng-hide="!ctrl.sqsFailed.json.input">
					<div class="row-fluid"">
						<textarea class="span10" rows="8">{{ctrl.sqsFailed.json.input | json}}</textarea>
					</div>
				</td>
				<td class="fieldValue medium" ng-hide="!ctrl.sqsFailed.jsonError">
					<div class="row-fluid"">
						<span class="span10" style="color: red;">{{ctrl.sqsFailed.jsonError}}</span>
					</div>
				</td>
				<td class="fieldValue medium" ng-hide="ctrl.sqsFailed.jsonError || ctrl.sqsFailed.json.input">
					<div class="row-fluid"">
						<span class="span10" style="color: red;">Missing <b>input</b> attribute in message JSON</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Force Execution
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<input class="span10" type="checkbox" ng-model="ctrl.force"></input>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" ng-hide="!ctrl.sqsFailed.json.input" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-share-alt"></span>&nbsp;&nbsp;<strong>Invia Nuovamente</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
